GNU Radio 2.x: rs.h File Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# rs.h File Reference

Go to the source code of this file.

## Functions
void | encode_rs_char (void *rs, unsigned char *data, unsigned char *parity)
int | decode_rs_char (void *rs, unsigned char *data, int *eras_pos, int no_eras)
void * | init_rs_char (unsigned int symsize, unsigned int gfpoly, unsigned int fcr, unsigned int prim, unsigned int nroots)
void | free_rs_char (void *rs)
void | encode_rs_int (void *rs, int *data, int *parity)
int | decode_rs_int (void *rs, int *data, int *eras_pos, int no_eras)
void * | init_rs_int (unsigned int symsize, unsigned int gfpoly, unsigned int fcr, unsigned int prim, unsigned int nroots)
void | free_rs_int (void *rs)
void | encode_rs_8 (unsigned char *data, unsigned char *parity)
int | decode_rs_8 (unsigned char *data, int *eras_pos, int no_eras)
## Variables
unsigned char | Taltab []
unsigned char | Tal1tab []

## Function Documentation

int decode_rs_8 | ( | unsigned char * | data,
|  | int * | eras_pos,
|  | int | no_eras
| ) |

int decode_rs_char | ( | void * | rs,
|  | unsigned char * | data,
|  | int * | eras_pos,
|  | int | no_eras
| ) |

int decode_rs_int | ( | void * | rs,
|  | int * | data,
|  | int * | eras_pos,
|  | int | no_eras
| ) |

void encode_rs_8 | ( | unsigned char * | data,
|  | unsigned char * | parity
| ) |

void encode_rs_char | ( | void * | rs,
|  | unsigned char * | data,
|  | unsigned char * | parity
| ) |

void encode_rs_int | ( | void * | rs,
|  | int * | data,
|  | int * | parity
| ) |

void free_rs_char | ( | void * | rs | ) |

void free_rs_int | ( | void * | rs | ) |

void* init_rs_char | ( | unsigned int | symsize,
|  | unsigned int | gfpoly,
|  | unsigned int | fcr,
|  | unsigned int | prim,
|  | unsigned int | nroots
| ) |

void* init_rs_int | ( | unsigned int | symsize,
|  | unsigned int | gfpoly,
|  | unsigned int | fcr,
|  | unsigned int | prim,
|  | unsigned int | nroots
| ) |

## Variable Documentation

unsigned char Tal1tab[]

unsigned char Taltab[]